ReferenceRest

Create offer

POST
/api/v1/offers

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.salestouch.io/api/v1/offers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "oneLiner": "string",    "valueProposition": "string"  }'
{
  "data": {
    "offer": {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "oneLiner": "string",
      "valueProposition": "string",
      "description": "string",
      "landingPageUrl": "string",
      "salesBriefUrl": "string",
      "isDraft": true,
      "lastUsedAt": "2019-08-24T14:15:22Z",
      "references": [
        {
          "type": "TESTIMONIAL",
          "title": "string",
          "content": "string",
          "author": "string",
          "jobTitle": "string",
          "company": "string",
          "companyLocation": "string",
          "companySize": "string",
          "industry": "string",
          "keyResult": "string",
          "source": "string",
          "publishedAt": "2019-08-24T14:15:22Z",
          "url": "string",
          "tags": [
            "string"
          ],
          "metadata": {}
        }
      ],
      "problemSolutions": [
        {
          "problem": "string",
          "solution": "string",
          "feature": "string"
        }
      ],
      "differentiators": [
        {
          "title": "string",
          "description": "string"
        }
      ],
      "resources": [
        {
          "type": "TUTORIAL",
          "title": "string",
          "description": "string",
          "url": "string",
          "publishedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}